import tfc.secure.Authority
import tfc.secure.Person
import tfc.secure.PersonAuthority
import tfc.secure.Requestmap
import tfc.logs.Template
import tfc.logs.TemplateFields
import tfc.logs.Theme
import tfc.logs.LogsUpload
import tfc.logs.LogsUploadFiles
import tfc.secure.UserGroup

class BootStrap {

def init = { servletContext ->

 /*
  //Creamos los usuarios para las pruebas
  def adminRole = new Authority(authority: 'ROLE_ADMINISTRADOR').save(flush: true)
  def gestorRole = new Authority(authority: 'ROLE_GESTOR').save(flush: true)
  def operadorRole = new Authority(authority: 'ROLE_OPERADOR').save(flush: true)
  def group1 = new UserGroup(groupName: 'Grupo de ejemplo', groupDescription: 'Grupo destinado a la realización de pruebas').save(flush: true)
  def adminUser = new Person(username: 'admin', enabled: true, password: 'admin', name: 'Administrador', userGroup: group1).save(flush: true)
  def gestorUser = new Person(username: 'gestor', enabled: true, password: 'gestor', name: 'Gestor', userGroup: group1).save(flush: true)
  def operadorUser = new Person(username: 'operador', enabled: true, password: 'operador', name: 'Operador de sistema', userGroup: group1).save(flush: true)

  PersonAuthority.create adminUser, adminRole, true
  PersonAuthority.create adminUser, gestorRole, true
  PersonAuthority.create adminUser, operadorRole, true
  PersonAuthority.create gestorUser, gestorRole, true
  PersonAuthority.create operadorUser, operadorRole, true

  //Protecciones globales
   def protecUrl = new Requestmap(url: '/', configAttribute: 'ROLE_ADMINISTRADOR,ROLE_GESTOR,ROLE_OPERADOR').save(flush: true)

  //Protecciones para la administracion
  def protecUrlA1 = new Requestmap(url: '/person/**', configAttribute: 'ROLE_ADMINISTRADOR').save(flush: true)
  def protecUrlA2 = new Requestmap(url: '/authority/**', configAttribute: 'ROLE_ADMINISTRADOR').save(flush: true)
  def protecUrlA3 = new Requestmap(url: '/personAuthority/**', configAttribute: 'ROLE_ADMINISTRADOR').save(flush: true)
  def protecUrlA4 = new Requestmap(url: '/requestmap/**', configAttribute: 'ROLE_ADMINISTRADOR').save(flush: true)
  def protecUrlA5 = new Requestmap(url: '/userGroup/**', configAttribute: 'ROLE_ADMINISTRADOR').save(flush: true)

  //Protecciones para la gestion
  def protecUrlG11 = new Requestmap(url: '/theme/**', configAttribute: 'ROLE_ADMINISTRADOR,ROLE_GESTOR').save(flush: true)
  def protecUrlG2 = new Requestmap(url: '/template/**', configAttribute: 'ROLE_ADMINISTRADOR,ROLE_GESTOR').save(flush: true)
  def protecUrlG3 = new Requestmap(url: '/templateFields/**', configAttribute: 'ROLE_ADMINISTRADOR,ROLE_GESTOR').save(flush: true)


  //Protecciones para la operacion
  def protecUrlO11 = new Requestmap(url: '/theme/list/*', configAttribute: 'ROLE_ADMINISTRADOR,ROLE_GESTOR,ROLE_OPERADOR').save(flush: true)
  def protecUrlO12 = new Requestmap(url: '/theme/show/*', configAttribute: 'ROLE_ADMINISTRADOR,ROLE_GESTOR,ROLE_OPERADOR').save(flush: true)
  def protecUrlO21 = new Requestmap(url: '/template/list/*', configAttribute: 'ROLE_ADMINISTRADOR,ROLE_GESTOR,ROLE_OPERADOR').save(flush: true)
  def protecUrlO22 = new Requestmap(url: '/template/show/*', configAttribute: 'ROLE_ADMINISTRADOR,ROLE_GESTOR,ROLE_OPERADOR').save(flush: true)
  def protecUrlO31 = new Requestmap(url: '/templateFields/list/*', configAttribute: 'ROLE_ADMINISTRADOR,ROLE_GESTOR,ROLE_OPERADOR').save(flush: true)
  def protecUrlO32 = new Requestmap(url: '/templateFields/show/*', configAttribute: 'ROLE_ADMINISTRADOR,ROLE_GESTOR,ROLE_OPERADOR').save(flush: true)
  def protecUrlO41 = new Requestmap(url: '/person/show/*', configAttribute: 'ROLE_ADMINISTRADOR,ROLE_GESTOR,ROLE_OPERADOR').save(flush: true)
  def protecUrlO5 = new Requestmap(url: '/logsUpload/**', configAttribute: 'ROLE_ADMINISTRADOR,ROLE_GESTOR,ROLE_OPERADOR').save(flush: true)
  def protecUrlO6 = new Requestmap(url: '/logsUploadFiles/**', configAttribute: 'ROLE_ADMINISTRADOR,ROLE_GESTOR,ROLE_OPERADOR').save(flush: true)
  def protecUrlO7 = new Requestmap(url: '/fieldValue/**', configAttribute: 'ROLE_ADMINISTRADOR,ROLE_GESTOR,ROLE_OPERADOR').save(flush: true)
  def protecUrlO8 = new Requestmap(url: '/graphics/**', configAttribute: 'ROLE_ADMINISTRADOR,ROLE_GESTOR,ROLE_OPERADOR').save(flush: true)
  def protecUrlO9 = new Requestmap(url: '/reports/**', configAttribute: 'ROLE_ADMINISTRADOR,ROLE_GESTOR,ROLE_OPERADOR').save(flush: true)



  //Creamos las plantilla para las pruebas
  def fillTemplate1 = new Template(templateName: 'Chat TFC', templateDescription: 'Archivo log del chat', templateSeparator: '#', templateCreationDate: new Date(), person: adminUser).save(flush: true)
  def fillTemplateFields11 = new TemplateFields(fieldOrder: 1, fieldDescription: 'Persona que envía el mensaje', fieldName: 'Persona', fieldContentType: 'Texto', template: fillTemplate1).save(flush: true)
  def fillTemplateFields12 = new TemplateFields(fieldOrder: 2, fieldDescription: 'Fecha-hora de mensaje', fieldName: 'fecha-Hora', fieldContentType: 'Fecha', template: fillTemplate1).save(flush: true)
  def fillTemplateFields13 = new TemplateFields(fieldOrder: 3, fieldDescription: 'Mensaje que se envía', fieldName: 'Mensaje', fieldContentType: 'Texto', template: fillTemplate1).save(flush: true)

  def fillTemplate2 = new Template(templateName: 'Foro TFC', templateDescription: 'Archivo log del foro', templateSeparator: '#', templateCreationDate: new Date(), person: gestorUser).save(flush: true)
  def fillTemplateFields21 = new TemplateFields(fieldOrder: 1, fieldDescription: 'Persona que envía el mensaje', fieldName: 'Persona', fieldContentType: 'Texto', template: fillTemplate2).save(flush: true)
  def fillTemplateFields22 = new TemplateFields(fieldOrder: 2, fieldDescription: 'Fecha-hora de mensaje', fieldName: 'fecha-Hora', fieldContentType: 'Fecha', template: fillTemplate2).save(flush: true)
  def fillTemplateFields23 = new TemplateFields(fieldOrder: 3, fieldDescription: 'Mensaje que se envía', fieldName: 'Mensaje', fieldContentType: 'Texto', template: fillTemplate2).save(flush: true)

  //Creamos los temas para las pruebas
  def fillTheme1 = new Theme(themeName: 'TFC', themeDescription: 'Agrupador de logs correspondientes al TFC', themeCreationDate: new Date(), person: adminUser).save(flush: true)
  def fillTheme2 = new Theme(themeName: 'TALFII', themeDescription: 'Agrupador de logs correspondientes a la asignatura TALFII', themeCreationDate: new Date(), person: adminUser).save(flush: true)

  //Creamos un registro de log para las pruebas
  def fillLogUpload1= new LogsUpload(logUploadDate: new Date(), logUploadDescription: 'Registro log para pruebas', template: fillTemplate1, theme: fillTheme1, person: adminUser).save(flush: true)
  def  fillLogsUploadFiles = new LogsUploadFiles(logsUploadFilesName: 'log_pruebas_TFC.log', logsUploadFilesCreationDate: new Date(), logsUpload: fillLogUpload1, person: adminUser).save(flush: true)

  //Comprobamos que los datos se han introducido correctamente
  assert Person.count() == 3
  assert Authority.count() == 3
  assert PersonAuthority.count() == 5
  assert Template.count() == 2
  assert TemplateFields.count() == 6
  assert Theme.count() == 2
     */

}



  def destroy = {
    }
}
