package tfc.logs

import tfc.secure.PersonAuthority
import tfc.secure.Authority
import tfc.secure.Person
import org.hibernate.FetchMode as FM

class GraphicsController {

    def globalView = {

      def fecha = Calendar.instance
      def resMesLabel = []

      Date firstDate
      Date lastDate


      //Grafico 1 de barras - Apariciones por mes
      firstDate = new GregorianCalendar(fecha.get(fecha.YEAR), Calendar.JANUARY, 1, 0, 0, 0).time
      lastDate = new GregorianCalendar(fecha.get(fecha.YEAR), Calendar.JANUARY, 31, 23, 59, 59).time
      def criteriaEne = LogsUpload.createCriteria()
      def enero = criteriaEne.get {
          between("logUploadDate", firstDate, lastDate)
          projections {
              countDistinct('id')
          }
      }

      firstDate = new GregorianCalendar(fecha.get(fecha.YEAR), Calendar.FEBRUARY, 1, 0, 0, 0).time
      lastDate = new GregorianCalendar(fecha.get(fecha.YEAR), Calendar.FEBRUARY, 29, 23, 59, 59).time
      def criteriaFeb = LogsUpload.createCriteria()
      def febrero = criteriaFeb.get {
          between("logUploadDate", firstDate, lastDate)
          projections {
              countDistinct('id')
          }
      }

      firstDate = new GregorianCalendar(fecha.get(fecha.YEAR), Calendar.MARCH, 1, 0, 0, 0).time
      lastDate = new GregorianCalendar(fecha.get(fecha.YEAR), Calendar.MARCH, 31, 23, 59, 59).time
      def criteriaMar = LogsUpload.createCriteria()
      def marzo = criteriaMar.get {
          between("logUploadDate", firstDate, lastDate)
          projections {
              countDistinct('id')
          }
      }

      firstDate = new GregorianCalendar(fecha.get(fecha.YEAR), Calendar.APRIL, 1, 0, 0, 0).time
      lastDate = new GregorianCalendar(fecha.get(fecha.YEAR), Calendar.APRIL, 30, 23, 59, 59).time
      def criteriaAbr = LogsUpload.createCriteria()
      def abril = criteriaAbr.get {
          between("logUploadDate", firstDate, lastDate)
          projections {
              countDistinct('id')
          }
      }

      firstDate = new GregorianCalendar(fecha.get(fecha.YEAR), Calendar.MAY, 1, 0, 0, 0).time
      lastDate = new GregorianCalendar(fecha.get(fecha.YEAR), Calendar.MAY, 30, 23, 59, 59).time
      def criteriaMay = LogsUpload.createCriteria()
      def mayo = criteriaMay.get {
          between("logUploadDate", firstDate, lastDate)
          projections {
              countDistinct('id')
          }
      }

      firstDate = new GregorianCalendar(fecha.get(fecha.YEAR), Calendar.JUNE, 1, 0, 0, 0).time
      lastDate = new GregorianCalendar(fecha.get(fecha.YEAR), Calendar.JUNE, 30, 23, 59, 59).time
      def criteriaJun = LogsUpload.createCriteria()
      def junio = criteriaJun.get {
          between("logUploadDate", firstDate, lastDate)
          projections {
              countDistinct('id')
          }
      }

      firstDate = new GregorianCalendar(fecha.get(fecha.YEAR), Calendar.JULY, 1, 0, 0, 0).time
      lastDate = new GregorianCalendar(fecha.get(fecha.YEAR), Calendar.JULY, 31, 23, 59, 59).time
      def criteriaJul = LogsUpload.createCriteria()
      def julio = criteriaJul.get {
          between("logUploadDate", firstDate, lastDate)
          projections {
              countDistinct('id')
          }
      }

      firstDate = new GregorianCalendar(fecha.get(fecha.YEAR), Calendar.AUGUST, 1, 0, 0, 0).time
      lastDate = new GregorianCalendar(fecha.get(fecha.YEAR), Calendar.AUGUST, 31, 23, 59, 59).time
      def criteriaAgo = LogsUpload.createCriteria()
      def agosto = criteriaAgo.get {
          between("logUploadDate", firstDate, lastDate)
          projections {
              countDistinct('id')
          }
      }

      firstDate = new GregorianCalendar(fecha.get(fecha.YEAR), Calendar.SEPTEMBER, 1, 0, 0, 0).time
      lastDate = new GregorianCalendar(fecha.get(fecha.YEAR), Calendar.SEPTEMBER, 30, 23, 59, 59).time
      def criteriaSep = LogsUpload.createCriteria()
      def septiembre = criteriaSep.get {
          between("logUploadDate", firstDate, lastDate)
          projections {
              countDistinct('id')
          }
      }

      firstDate = new GregorianCalendar(fecha.get(fecha.YEAR), Calendar.OCTOBER, 1, 0, 0, 0).time
      lastDate = new GregorianCalendar(fecha.get(fecha.YEAR), Calendar.OCTOBER, 31, 23, 59, 59).time
      def criteriaOct = LogsUpload.createCriteria()
      def octubre = criteriaOct.get {
          between("logUploadDate", firstDate, lastDate)
          projections {
              countDistinct('id')
          }
      }

      firstDate = new GregorianCalendar(fecha.get(fecha.YEAR), Calendar.NOVEMBER, 1, 0, 0, 0).time
      lastDate = new GregorianCalendar(fecha.get(fecha.YEAR), Calendar.NOVEMBER, 30, 23, 59, 59).time
      def criteriaNov = LogsUpload.createCriteria()
      def noviembre = criteriaNov.get {
          between("logUploadDate", firstDate, lastDate)
          projections {
              countDistinct('id')
          }
      }

      firstDate = new GregorianCalendar(fecha.get(fecha.YEAR), Calendar.DECEMBER, 1, 0, 0, 0).time
      lastDate = new GregorianCalendar(fecha.get(fecha.YEAR), Calendar.DECEMBER, 31, 23, 59, 59).time
      def criteriaDic = LogsUpload.createCriteria()
      def diciembre = criteriaDic.get {
          between("logUploadDate", firstDate, lastDate)
          projections {
              countDistinct('id')
          }
      }

      resMesLabel = [['string', 'Mes'], ['number', 'Registros']]

      //Grafico 2 - Registros por plantilla
      def plantillas = Template.list()
      def resTemplateLabel = []
      def resTemplateData = []
      def totalPlantillas = 0
      plantillas.each {plantilla->
          def element = []
          def criteriaValor = LogsUpload.createCriteria()
          def valor = criteriaValor.get {
              eq("template.id", plantilla.id)
              projections {
                  countDistinct('id')
              }
          }
        element.add(plantilla.templateName)
        element.add(valor)
        resTemplateData.add(element)
        totalPlantillas++
      }
      resTemplateLabel = [['string', 'Tema'], ['number', 'Registros']]

      //Grafico 3 - Registros por tema
      def temas = Theme.list()
      def resThemeLabel = []
      def resThemeData = []
      def totalTemas = 0
      def totalRegistros = 0
      temas.each {tema->
          def element = []
          def criteriaValor = LogsUpload.createCriteria()
          def valor = criteriaValor.get {
              eq("theme.id", tema.id)
              projections {
                  countDistinct('id')
              }
          }
        element.add(tema.themeName)
        element.add(valor)
        resThemeData.add(element)
        totalRegistros=totalRegistros+valor
        totalTemas++
      }
      resThemeLabel = [['string', 'Tema'], ['number', 'Registros']]

      //Grafico 4 - Usuarios por grupo
      def grupos = Authority.list()
      def resAuLabel = []
      def resAuData = []
      def totalGrupos = 0
      def totalUsuarios = 0

      grupos.each {grupo->
          def element = []
          def criteriaValor = PersonAuthority.createCriteria()
          def valor = criteriaValor.get {
              eq("authority.id", grupo.id)
              projections {
                  countDistinct('id')
              }
          }
          element.add(grupo)
          element.add(valor)
          resAuData.add(element)
        totalGrupos++
      }

      resAuLabel = [['string', 'Grupo'], ['number', 'Usuarios']]
      totalUsuarios=Person.count()

      def resMesData = [['Ene', enero],['Feb', febrero], ['Mar', marzo], ['Apr',abril], ['May', mayo], ['Jun',junio], ['Jul', julio], ['Agos', agosto],['Sep', septiembre],['Oct', octubre],['Nov', noviembre],['Dic', diciembre]]
      [totalPlantillas: totalPlantillas, totalTemas: totalTemas, totalRegistros: totalRegistros, totalUsuarios: totalUsuarios, totalGrupos: totalGrupos, dataGraph1: resMesData, labelsGraph1: resMesLabel, dataGraph2: resTemplateData, labelsGraph2: resTemplateLabel, dataGraph3: resThemeData, labelsGraph3: resThemeLabel, dataGraph4: resAuData, labelsGraph4: resAuLabel]


    }


    def statistics = {

      return [dataValues: 1]

    }

      def statisticsFilter = {

      return [dataValues: 1]

    }

    def statisticsFilterResult = {

      def text = params.findText
      def template = params.template.id
      def theme = params.theme.id
      def miError=false
      def codError=0
      def ocurrencias = 0
      def ocurrenciasPlantillas = 0
      def ocurrenciasTemas = 0
      def resultsGlobal = []
      def resultsPlantilla = []
      def resultsTema = []
      def plantilla
      def tema
      def plantillas = []
      def temas = []
      def resThemeLabel = []
      def resThemeData = []
      def resTemplateLabel = []
      def resTemplateData = []
      def totalTemas = 0
      def totalRegistros = 0
      def totalPlantillas = 0
      def resume = []
      def filtro = ""

      println 'texto: ' + text.size()
      println 'plantilla: ' + template
      println 'tema: ' + theme

      if (text.size()==0){
        miError=true
        codError=1
      }else{


          if (template!='0'){
              plantillas.add(Template.get(template))
          }else{
              plantillas = Template.list()
          }

        //Como no tenemos plantilla, calculamos cuantas apariciones por plantilla diferente


        plantillas.each {res->
            def element = []

            def criteriaValor = LogsUpload.createCriteria()
            def valor = criteriaValor.get {
                eq("template.id", res.id)
                if (theme!='0'){
                  eq("theme.id", Theme.get(theme).id)
                }
                  logsUploadFiles{
                    fieldValue{
                      ilike("fieldValueValue", '%'+text+'%')
                    }
                  }
                projections {
                    countDistinct('id')
                }
            }

          element.add(res.templateName)
          element.add(valor)
          resTemplateData.add(element)
          totalPlantillas=totalPlantillas+valor
        }
        resTemplateLabel = [['string', 'Tema'], ['number', 'Apariciones']]



        if (theme!='0'){
          temas.add(Theme.get(theme))
        }else{
          temas = Theme.list()
        }

        //Como no tenemos tema, calculamos cuantas apariciones por tema diferente

        temas.each {res->
            def element = []
            def criteriaValor = LogsUpload.createCriteria()
            def valor = criteriaValor.get {
                eq("theme.id", res.id)
                if (template!='0'){
                  eq("template.id", Template.get(template).id)
                }
                  logsUploadFiles{
                    fieldValue{
                      ilike("fieldValueValue", '%'+text+'%')
                    }
                  }
                projections {
                    countDistinct('id')
                }
            }
          element.add(res.themeName)
          element.add(valor)
          resThemeData.add(element)
          totalRegistros=totalRegistros+valor
          totalTemas=totalTemas+valor
        }
        resThemeLabel = [['string', 'Tema'], ['number', 'Apariciones']]


        //Informacion de las apariciones del texto

        def criteria = LogsUpload.createCriteria()
        def valor = criteria.list {
            if (template!='0'){
              eq("template.id", Template.get(template).id)
              filtro=", filtrado por plantilla: <b>" +  Template.get(template).templateName + '</b>'
            }
            if (theme!='0'){
              eq("theme.id", Theme.get(theme).id)
              if (filtro==""){
                 filtro=", filtrado por tema: <b>" +  Theme.get(theme).themeName  + '</b>'
              }else{
                 filtro=filtro + " y tema: <b>" +  Theme.get(theme).themeName  + '</b>'
              }
            }
            logsUploadFiles{
              fieldValue{
                ilike("fieldValueValue", '%'+text+'%')
                order("id", "asc")
              }

            }
            distinct("id")

        }
        print valor.unique()
        valor.unique().each{

          def fieldName
          it.logsUploadFiles.each {
                fieldName=it.fieldValue.templateFields.fieldName[0]
          }

          println '->' + it
          def fieldValueValue
          it.logsUploadFiles.each {
                fieldValueValue=it.fieldValue.fieldValueValue
          }
          def obj = it
          it.logsUploadFiles.fieldValue.fieldValueValue[0].each{
            println it
            resume.add([obj.logsUploadFiles.id, obj, obj.logsUploadFiles.logsUploadFilesName[0], fieldName, it])
          }
          //resume.add([it.logsUploadFiles.id, it, it.logsUploadFiles.logsUploadFilesName[0], fieldName, fieldValueValue])
          //println "Registro: " + it + ", archivo: " + it.logsUploadFiles.logsUploadFilesName[0] + ", Campo: " + fieldName + ", texto encontrado: " + fieldValueValue
        }

      //Fin if text=null
      }

      if (miError){
          flash.errors = 'Debe seleccionar un texto para poder realizar la búsqueda..'
          redirect(controller:'graphics', action: "statisticsFilter", params:['template.id':  params.template.id, 'theme.id': params.theme.id])
      }else{
          if (totalTemas==0 && totalPlantillas==0){
              flash.errors = 'No se ha encontrado ningún elemento con los criterios indicados'
              redirect(controller:'graphics', action: "statisticsFilter", params:['template.id':  params.template.id, 'theme.id': params.theme.id])
          }

          flash.message = 'Apariciones del texto <b>' + text + '</b>' + filtro
          [resumeData: resume, dataGraph1: resTemplateData, labelsGraph1: resTemplateLabel, dataGraph2: resThemeData, labelsGraph2: resThemeLabel]
      }
    }
}
