package tfc.logs

class TemplateFieldsController {

    static allowedMethods = [save: "POST", update: "POST", delete: "GET"]

    def index = {
        redirect(action: "list", params: params)
    }

    def list = {
        params.max = Math.min(params.max ? params.int('max') : 10, 100)
        [templateFieldsInstanceList: TemplateFields.list(params), templateFieldsInstanceTotal: TemplateFields.count()]
    }

    def create = {
        def criteriaValor = TemplateFields.createCriteria()
        def valor = criteriaValor.get {
            eq("template.id", Template.get(params.template.id).id)
            projections {
                count('id')
            }
        }
        def resp = []
        for (int x=valor+1;x<21;x++){
            resp.add(x)
        }

        def templateFieldsInstance = new TemplateFields()
        templateFieldsInstance.properties = params
        return [valor: resp, templateFieldsInstance: templateFieldsInstance]
    }

    def save = {
        def templateFieldsInstance = new TemplateFields(params)
        if (templateFieldsInstance.save(flush: true)) {
            flash.message = "${message(code: 'default.created.message', args: [message(code: 'templateFields.label', default: 'TemplateFields'), templateFieldsInstance.id])}"
            redirect(controller:'template', action: "show", id: templateFieldsInstance.template.id)
        }
        else {
            render(view: "create", model: [templateFieldsInstance: templateFieldsInstance])
        }
    }

    def show = {
        def templateFieldsInstance = TemplateFields.get(params.id)
        if (!templateFieldsInstance) {
            flash.message = "${message(code: 'default.not.found.message', args: [message(code: 'templateFields.label', default: 'TemplateFields'), params.id])}"
            redirect(action: "list")
        }
        else {
            [templateFieldsInstance: templateFieldsInstance]
        }
    }

    def edit = {
        def templateFieldsInstance = TemplateFields.get(params.id)
        if (!templateFieldsInstance) {
            flash.message = "${message(code: 'default.not.found.message', args: [message(code: 'templateFields.label', default: 'TemplateFields'), params.id])}"
            redirect(action: "list")
        }
        else {
            return [templateFieldsInstance: templateFieldsInstance]
        }
    }

    def update = {
        def templateFieldsInstance = TemplateFields.get(params.id)
        if (templateFieldsInstance) {
            if (params.version) {
                def version = params.version.toLong()
                if (templateFieldsInstance.version > version) {
                    
                    templateFieldsInstance.errors.rejectValue("version", "default.optimistic.locking.failure", [message(code: 'templateFields.label', default: 'TemplateFields')] as Object[], "Another user has updated this TemplateFields while you were editing")
                    render(view: "edit", model: [templateFieldsInstance: templateFieldsInstance])
                    return
                }
            }
            templateFieldsInstance.properties = params
            if (!templateFieldsInstance.hasErrors() && templateFieldsInstance.save(flush: true)) {
                flash.message = "${message(code: 'default.updated.message', args: [message(code: 'templateFields.label', default: 'TemplateFields'), templateFieldsInstance.id])}"
                redirect(action: "show", id: templateFieldsInstance.id)
            }
            else {
                render(view: "edit", model: [templateFieldsInstance: templateFieldsInstance])
            }
        }
        else {
            flash.message = "${message(code: 'default.not.found.message', args: [message(code: 'templateFields.label', default: 'TemplateFields'), params.id])}"
            redirect(action: "list")
        }
    }

    def delete = {
        def templateFieldsInstance = TemplateFields.get(params.id)
        if (templateFieldsInstance) {
            try {
                templateFieldsInstance.delete(flush: true)
                flash.message = "${message(code: 'default.deleted.message', args: [message(code: 'templateFields.label', default: 'TemplateFields'), params.id])}"
//                redirect(action: "list")
              redirect(controller:'template', action: "show", id: templateFieldsInstance.template.id)
            }
            catch (org.springframework.dao.DataIntegrityViolationException e) {
                flash.message = "${message(code: 'default.not.deleted.message', args: [message(code: 'templateFields.label', default: 'TemplateFields'), params.id])}"
                redirect(action: "show", id: params.id)
            }
        }
        else {
            flash.message = "${message(code: 'default.not.found.message', args: [message(code: 'templateFields.label', default: 'TemplateFields'), params.id])}"
            //redirect(action: "list")
          redirect(controller:'template', action: "show", id: templateFieldsInstance.template.id)
        }
    }
}
