package tfc.logs

import tfc.secure.Person
import tfc.logs.TemplateFields

class Template {

    String templateName
    String templateDescription
    String templateSeparator
    Date templateCreationDate

    String toString(){
      return templateName + " - " + templateDescription
    }

    static hasMany = [templateFields:TemplateFields]
    static belongsTo = [person:Person]

    static constraints = {
      templateName(size:1..150, blank:false, nullable:false, unique:true)
      templateDescription(maxSize: 250)
      templateSeparator(size:1..1, blank:false, nullable:false)

    }
}
