package tfc.logs

class TemplateFields {

    Integer fieldOrder
    String fieldName
    String fieldDescription
    String fieldContentType

    String toString(){
      return fieldName + " (" + fieldContentType + ")"
    }

    static belongsTo = [template:Template]
    static hasMany = [fieldValue: FieldValue]

    static constraints = {
       fieldOrder(range: 1..20)
       fieldName(size:1..150, blank:false, nullable:false)
       fieldDescription(maxSize: 250)
       fieldContentType(inList:["Texto", "Número", "Fecha"])
    }

}
