package tfc.logs

class ProcessLogUploadService {

    static transactional = true

    def myLogUploadFile = new LogsUploadFiles()

  /** loadFile Main method of the process of the file
  * @param fields List with the fields of the line
  * @param id Identifier of the file record
  * @return  int 0=Correct, 1=exception in the process, other code from others methods
  */
    int  loadFile(id) {
      def check = checkSchema(id)
      def codError = 0
      def codProcess = 0
      if (check==0){
        try {
            def file = 'web-app/logFiles/' + myLogUploadFile.get(id).logsUploadFilesName

            new File(file).eachLine{line->
              codProcess = processField(line.split(myLogUploadFile.get(id).logsUpload.template.templateSeparator), id)
              if (codProcess!=0){
                codError = codProcess
              }
            }

        }catch(e){
            codError = 1
        }
      }else{
        codError=check
      }
      return codError
    }

  /** processField Process the fields from the file to database
  * @param fields List with the fields of the line
  * @param id Identifier of the file record
  * @return  int 0=Correct, 9=exception in the process
  */
    int processField (fieds, id) {
      def codError = 0
      try {
          int order = 0

          int idTemplate = myLogUploadFile.get(id).logsUpload.template.id

          fieds.each {
              int fieldOrder = order+1
              def templateFieldsC = new TemplateFields()
              templateFieldsC = TemplateFields.createCriteria().get {
                  eq ('template', myLogUploadFile.get(id).logsUpload.template)
                  eq ('fieldOrder', fieldOrder)
               }
              def fieldValue = new FieldValue(fieldValueValue: fieds[order], templateFields: templateFieldsC, logsUploadFiles: myLogUploadFile.get(id))
              fieldValue.save()
              order +=1
          }
        }catch(e){
           codError=9
        }
      return codError
    }

  /** checkSchema Check if the file has the correct structure
  * @param id Identifier of the file record
  * @return  int 0=Correct, 7=fields number incorrect, 8=exception in check
  */
  def int checkSchema (id) {
    def templateFields = TemplateFields.countByTemplate(myLogUploadFile.get(id).logsUpload.template)
    def miError = false
    def codError = 0
    def campos= []
    println 'id: '+id
      try {
          def file = 'web-app/logFiles/' + myLogUploadFile.get(id).logsUploadFilesName

          new File(file).eachLine{line->
            campos = line.split(myLogUploadFile.get(id).logsUpload.template.templateSeparator)
            if (templateFields!=campos.size()){
              miError = true
              codError = 7
            }

          }
      }catch(e){
          miError = true
          println e
          codError = 8
      }

      return codError

  }
}
