<!DOCTYPE html>
<html>
    <head>
        <title><g:layoutTitle default="ITIS - Trabajo Final de Carrera - Jesús Vázquez Galán" /></title>
        <link rel="stylesheet" href="${resource(dir:'css',file:'main.css')}" />
        <link rel="shortcut icon" href="${resource(dir:'images',file:'favicon.ico')}" type="image/x-icon" />
        <g:layoutHead />
        <g:javascript library="application" />

    </head>
    <body>
        <div id="spinner" class="spinner" style="display:none;">
            <img src="${resource(dir:'images',file:'spinner.gif')}" alt="${message(code:'spinner.alt',default:'Loading...')}" />
        </div>

        <table id="banner">
          <tr>
            <td><h1><g:message code="app.heather" /></h1></td>
            <td style="text-align:right;padding-top:30px;font-weight:bolder;font-size:35px">Log2XML</td>
          </tr>
        </table>
        <sec:ifLoggedIn>
            <div id="navPanel">
                <div class="homePagePanel">
                    <div class="homePagePanelTop"></div>
                    <div class="homePagePanelBody">
                          <h2>USUARIO: <sec:username /></h2>
                          </br>
                     <sec:ifAllGranted roles="ROLE_ADMINISTRADOR">
                          <h1><g:message code="menu.seguridad.heather" /></h1>
                          <ul>
                                <li><g:link controller="userGroup" action="list">${message(code: 'menu.grupos.label', default: 'Groups')}</g:link></li>
                                <li><g:link controller="person" action="list">${message(code: 'menu.usuarios.label', default: 'Users')}</g:link></li>
                                <li><g:link controller="personAuthority" action="list">${message(code: 'menu.autorizaciones.label', default: 'Authorities')}</g:link></li>
                            <li><g:link controller="requestmap" action="list">${message(code: 'menu.requestmap.label', default: 'Secure URL')}</g:link></li>
                          </ul>
                     </sec:ifAllGranted>
                     <sec:ifAllGranted roles="ROLE_GESTOR">
                         <h1><g:message code="menu.plantillas.heather" /></h1>
                          <ul>
                                <li><g:link controller="template" action="list">${message(code: 'menu.plantillas.listado.label', default: 'Template list')}</g:link></li>
                          </ul>
                     </sec:ifAllGranted>
                     <sec:ifAllGranted roles="ROLE_GESTOR">
                         <h1><g:message code="menu.temas.heather" /></h1>
                          <ul>
                                <li><g:link controller="theme" action="list">${message(code: 'menu.temas.listado.label', default: 'theme list')}</g:link></li>
                          </ul>
                     </sec:ifAllGranted>
                     <sec:ifAllGranted roles="ROLE_OPERADOR">
                         <h1><g:message code="menu.logs.heather" /></h1>
                          <ul>
                                <li><g:link controller="logsUpload" action="list">${message(code: 'menu.logs.listado.label', default: 'Logs list')}</g:link></li>
                                <li><a href="${createLink(uri: '/')}schema/schema.xsd" target="_blank" >${message(code: 'menu.logs.esquema.label', default: 'Scheme download')}</a></li>
                          </ul>
                     </sec:ifAllGranted>
                     <sec:ifAllGranted roles="ROLE_OPERADOR">
                     <h1><g:message code="menu.informes.heather" /></h1>
                      <ul>
                            <li><g:link controller="reports" action="themeList">${message(code: 'menu.informes.temas.label', default: 'Themes report')}</g:link></li>
                            <li><g:link controller="reports" action="templateList">${message(code: 'menu.informes.plantillas.label', default: 'Templates report')}</g:link></li>
                            <li><g:link controller="reports" action="userList">${message(code: 'menu.informes.usuarios.label', default: 'Users report')}</g:link></li>
                            <li><g:link controller="reports" action="reportListLogFilter">${message(code: 'menu.informes.registros.label', default: 'Logs reports')}</g:link></li>
                        <li><g:link controller="reports" action="reportLogFilter">${message(code: 'menu.informes.ficha.label', default: 'Log file')}</g:link></li>
                             <!--<li>${message(code: 'menu.informes.ficha.label', default: 'Log file')}</li>-->
                      </ul>
                     </sec:ifAllGranted>
                     <sec:ifAllGranted roles="ROLE_OPERADOR">
                     <h1><g:message code="menu.estadisticas.heather" /></h1>
                      <ul>
                            <li><g:link controller="graphics" action="statisticsFilter">${message(code: 'menu.estadisticas.apariciones.label', default: 'Words searches')}</g:link></li>
                             <!--<li>${message(code: 'menu.estadisticas.apariciones.label', default: 'Words searches')}</li>-->
                            <li><g:link controller="graphics" action="globalView">${message(code: 'menu.estadisticas.global.label', default: 'Sistema view')}</g:link></li>
                      </ul>
                      </sec:ifAllGranted>
                      <h1><g:message code="menu.docs.heather" /></h1>
                      <ul>
                            <li><a href="${createLink(uri: '/')}docs/DisenoTecnico.pdf" target="_blank">${message(code: 'menu.docs.diseno.label', default: 'Doc')}</a></li>
                            <li><a href="${createLink(uri: '/')}docs/manual.pdf" target="_blank">${message(code: 'menu.docs.manual.label', default: 'Doc')}</a></li>
                            <li><a href="${createLink(uri: '/')}docs/Protocolo_Pruebas_20120108.pdf" target="_blank">${message(code: 'menu.docs.protocolo.label', default: 'Doc')}</a></li>
                      </ul>
                      <h1><g:message code="menu.otros.heather" /></h1>
                      <ul>
                            <li><g:link controller="logout" action="index">${message(code: 'menu.otros.logout.label', default: 'Logout')}</g:link></li>
                      </ul>

                       <!-- <h1>Status</h1>
                        <ul>
                            <li>App version: <g:meta name="app.version"></g:meta></li>
                            <li>Grails version: <g:meta name="app.grails.version"></g:meta></li>
                            <li>Groovy version: ${org.codehaus.groovy.runtime.InvokerHelper.getVersion()}</li>
                            <li>JVM version: ${System.getProperty('java.version')}</li>
                            <li>Controllers: ${grailsApplication.controllerClasses.size()}</li>
                            <li>Domains: ${grailsApplication.domainClasses.size()}</li>
                            <li>Services: ${grailsApplication.serviceClasses.size()}</li>
                            <li>Tag Libraries: ${grailsApplication.tagLibClasses.size()}</li>
                        </ul>
                        <h1>Plugins Instalados</h1>
                        <ul>
                            <g:set var="pluginManager"
                                   value="${applicationContext.getBean('pluginManager')}"></g:set>

                            <g:each var="plugin" in="${pluginManager.allPlugins}">
                                <li>${plugin.name} - ${plugin.version}</li>
                            </g:each>

                        </ul>-->
                    </div>
                    <div class="homePagePanelBtm"></div>
                </div>
            </div>
        </sec:ifLoggedIn>
        <g:layoutBody />

    </body>
</html>
