

<%@ page import="tfc.logs.LogsUpload" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'logsUpload.label', default: 'LogsUpload')}" />
        <title><g:message code="logsUpload.edit.label" args="[entityName]" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></span>
            <span class="menuButton"><g:link class="list" action="list"><g:message code="logsUpload.list.label" args="[entityName]" /></g:link></span>
            <span class="menuButton"><g:link class="create" action="create"><g:message code="logsUpload.new.label" args="[entityName]" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="logsUpload.edit.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <g:hasErrors bean="${logsUploadInstance}">
            <div class="errors">
                <g:renderErrors bean="${logsUploadInstance}" as="list" />
            </div>
            </g:hasErrors>
            <g:form method="post" >
                <g:hiddenField name="id" value="${logsUploadInstance?.id}" />
                <g:hiddenField name="version" value="${logsUploadInstance?.version}" />
                <div class="dialog">
                    <table>
                        <tbody>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="logUploadDescription"><g:message code="logsUpload.logUploadDescription.label" default="Log Upload Description" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: logsUploadInstance, field: 'logUploadDescription', 'errors')}">
                                    <g:textField name="logUploadDescription" size="75" maxlength="150" value="${logsUploadInstance?.logUploadDescription}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="logUploadDate"><g:message code="logsUpload.logUploadDate.label" default="Log Upload Date" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: logsUploadInstance, field: 'logUploadDate', 'errors')}">
                                    <g:datePicker name="logUploadDate" precision="day" value="${logsUploadInstance?.logUploadDate}"  />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="logsUploadFiles"><g:message code="logsUpload.logsUploadFiles.label" default="Logs Upload Files" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: logsUploadInstance, field: 'logsUploadFiles', 'errors')}">
                                    
                                <ul>
                                   <g:render template="/logsUploadFiles/listado" collection="${tfc.logs.LogsUploadFiles.findAllByLogsUpload(logsUploadInstance, [sort:'logsUploadFilesCreationDate',order:'asc'])}" var="logsUploadFilesInstance" />
                                </ul>
                                </br>
                                <g:link class="templates_list" controller="logsUploadFiles" action="create" params="['logsUpload.id': logsUploadInstance?.id]">${message(code: 'logsUploadFiles.add.label', args: [message(code: 'logsUploadFiles.label', default: 'LogsUploadFiles')])}<img style="padding-left:5px;border:0px;" src="${createLink(uri: '/images/skin/database_add.png')}" alt="${message(code: 'LogsUploadFiles.add.label', default: 'Add or replace file to log')}"/></g:link>

                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name"><g:message code="logsUpload.person.label" default="Person" /></td>

                                <td valign="top" class="value"><g:link class="templates_list" controller="person" action="show" id="${logsUploadInstance?.person?.id}">${logsUploadInstance?.person?.encodeAsHTML()}<img style="padding-left:5px;border:0px;" src="${createLink(uri: '/images/ico_lupa.gif')}" alt="${message(code: 'user.button.detalle.label', default: 'View user details')}"/></g:link></td>

                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name"><g:message code="logsUpload.template.label" default="Template" /></td>

                                <td valign="top" class="value"><g:link class="templates_list" controller="template" action="show" id="${logsUploadInstance?.template?.id}">${logsUploadInstance?.template?.encodeAsHTML()}<img style="padding-left:5px;border:0px;" src="${createLink(uri: '/images/ico_lupa.gif')}" alt="${message(code: 'template.button.detalle.label', default: 'View template details')}"/></g:link></td>

                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="theme"><g:message code="logsUpload.theme.label" default="Theme" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: logsUploadInstance, field: 'theme', 'errors')}">
                                    <g:select name="theme.id" from="${tfc.logs.Theme.list()}" optionKey="id" value="${logsUploadInstance?.theme?.id}"  />
                                </td>
                            </tr>
                        
                        </tbody>
                    </table>
                </div>
                <div class="buttons">
                    <span class="button"><g:actionSubmit class="save" action="update" value="${message(code: 'default.button.update.label', default: 'Update')}" /></span>
                    <span class="button"><g:actionSubmit class="delete" action="delete" value="${message(code: 'default.button.delete.label', default: 'Delete')}" onclick="return confirm('${message(code: 'default.button.delete.confirm.message', default: 'Are you sure?')}');" /></span>
                </div>
            </g:form>
        </div>
    </body>
</html>
