

<%@ page import="tfc.secure.Person" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'person.label', default: 'Person')}" />
        <title><g:message code="person.edit.label" args="[entityName]" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></span>
            <span class="menuButton"><g:link class="list" action="list"><g:message code="person.list.label" args="[entityName]" /></g:link></span>
            <span class="menuButton"><g:link class="create" action="create"><g:message code="person.new.label" args="[entityName]" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="person.edit.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <g:hasErrors bean="${personInstance}">
            <div class="errors">
                <g:renderErrors bean="${personInstance}" as="list" />
            </div>
            </g:hasErrors>
            <g:form method="post" >
                <g:hiddenField name="id" value="${personInstance?.id}" />
                <g:hiddenField name="version" value="${personInstance?.version}" />
                <div class="dialog">
                    <table>
                        <tbody>

                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="username"><g:message code="person.name.label" default="Name" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: personInstance, field: 'name', 'errors')}">
                                    <g:textField name="name" size="75" value="${personInstance?.name}" />
                                </td>
                            </tr>

                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="username"><g:message code="person.username.label" default="Username" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: personInstance, field: 'username', 'errors')}">
                                    <g:textField name="username" size="75" value="${personInstance?.username}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="password"><g:message code="person.password.label" default="Password" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: personInstance, field: 'password', 'errors')}">
                                    <g:textField name="password" size="75" value="${personInstance?.password}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="accountExpired"><g:message code="person.accountExpired.label" default="Account Expired" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: personInstance, field: 'accountExpired', 'errors')}">
                                    <g:checkBox name="accountExpired" value="${personInstance?.accountExpired}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="accountLocked"><g:message code="person.accountLocked.label" default="Account Locked" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: personInstance, field: 'accountLocked', 'errors')}">
                                    <g:checkBox name="accountLocked" value="${personInstance?.accountLocked}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="enabled"><g:message code="person.enabled.label" default="Enabled" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: personInstance, field: 'enabled', 'errors')}">
                                    <g:checkBox name="enabled" value="${personInstance?.enabled}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="passwordExpired"><g:message code="person.passwordExpired.label" default="Password Expired" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: personInstance, field: 'passwordExpired', 'errors')}">
                                    <g:checkBox name="passwordExpired" value="${personInstance?.passwordExpired}" />
                                </td>
                            </tr>

                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="userGroup"><g:message code="person.userGroup.label" default="User Group" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: personInstance, field: 'userGroup', 'errors')}">
                                    <g:select name="userGroup.id" from="${tfc.secure.UserGroup.list()}" optionKey="id" value="${personInstance?.userGroup?.id}"  />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="template"><g:message code="person.template.label" default="Template" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: personInstance, field: 'template', 'errors')}">
                                    
                                <ul>
									<g:render template="/template/listado" collection="${tfc.logs.Template.findAllByPerson(personInstance, [sort:'templateName',order:'asc'])}" var="templateInstance" />

                                </ul>
                                <!--</br>
                                <g:link controller="template" action="create" params="['person.id': personInstance?.id]">${message(code: 'person.template.add.label', args: [message(code: 'template.label', default: 'Template')])}</g:link>
                                -->
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="theme"><g:message code="person.theme.label" default="Theme" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: personInstance, field: 'theme', 'errors')}">
                                    
                                <ul>
                                  <g:render template="/theme/listado" collection="${tfc.logs.Theme.findAllByPerson(personInstance, [sort:'themeName',order:'asc'])}" var="themeInstance" />
                                </ul>
                              <!--</br>
                              <g:link controller="theme" action="create" params="['person.id': personInstance?.id]">${message(code: 'person.theme.add.label', args: [message(code: 'theme.label', default: 'Theme')])}</g:link>
                               -->
                                </td>
                            </tr>

                        <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="logsUpload"><g:message code="person.logsUpload.label" default="Logs Upload" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: personInstance, field: 'logsUpload', 'errors')}">

                                <ul>
                                    <g:render template="/logsUpload/listado" collection="${tfc.logs.LogsUpload.findAllByPerson(personInstance, [sort:'logUploadDate',order:'asc'])}" var="logsUploadInstance" />
                                </ul>
                                  <!--</br>
<g:link controller="logsUpload" action="create" params="['person.id': personInstance?.id]">${message(code: 'person.logsUpload.add.label', args: [message(code: 'logsUpload.label', default: 'LogsUpload')])}</g:link>
                                 -->
                                </td>
                            </tr>
                        
                        </tbody>
                    </table>
                </div>
                <div class="buttons">
                    <span class="button"><g:actionSubmit class="save" action="update" value="${message(code: 'default.button.update.label', default: 'Update')}" /></span>
                    <span class="button"><g:actionSubmit class="delete" action="delete" value="${message(code: 'default.button.delete.label', default: 'Delete')}" onclick="return confirm('${message(code: 'default.button.delete.confirm.message', default: 'Are you sure?')}');" /></span>
                </div>
            </g:form>
        </div>
    </body>
</html>
