
<%@ page import="tfc.secure.Person" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'person.label', default: 'Person')}" />
        <title><g:message code="person.show.label" args="[entityName]" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></span>
            <span class="menuButton"><g:link class="list" action="list"><g:message code="person.list.label" args="[entityName]" /></g:link></span>
            <span class="menuButton"><g:link class="create" action="create"><g:message code="person.new.label" args="[entityName]" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="person.show.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <div class="dialog">
                <table>
                    <tbody>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="person.id.label" default="Id" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: personInstance, field: "id")}</td>
                            
                        </tr>

                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="person.name.label" default="name" /></td>

                            <td valign="top" class="value">${fieldValue(bean: personInstance, field: "name")}</td>

                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="person.username.label" default="Username" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: personInstance, field: "username")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="person.password.label" default="Password" /></td>
                            
                            <td valign="top" class="value">${fieldValue(bean: personInstance, field: "password")}</td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="person.accountExpired.label" default="Account Expired" /></td>
                            
                            <td valign="top" class="value"><g:formatBoolean boolean="${personInstance?.accountExpired}" /></td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="person.accountLocked.label" default="Account Locked" /></td>
                            
                            <td valign="top" class="value"><g:formatBoolean boolean="${personInstance?.accountLocked}" /></td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="person.enabled.label" default="Enabled" /></td>
                            
                            <td valign="top" class="value"><g:formatBoolean boolean="${personInstance?.enabled}" /></td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="person.passwordExpired.label" default="Password Expired" /></td>
                            
                            <td valign="top" class="value"><g:formatBoolean boolean="${personInstance?.passwordExpired}" /></td>
                            
                        </tr>

                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="person.userGroup.label" default="User Group" /></td>
                            
                            <td valign="top" class="value"><g:link controller="userGroup" action="show" id="${personInstance?.userGroup?.id}">${personInstance?.userGroup?.encodeAsHTML()}<img style="padding-left:5px;border:0px;" src="${createLink(uri: '/images/ico_lupa.gif')}" alt="${message(code: 'user.button.detalle.label', default: 'View user details')}"/></g:link></td>
                            
                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="person.template.label" default="Template" /></td>

                            <td valign="top" style="text-align:left;" class="value">
                                <ul>
									<g:render template="/template/listado" collection="${tfc.logs.Template.findAllByPerson(personInstance, [sort:'templateName',order:'asc'])}" var="templateInstance" />

                                </ul>
                            </td>

                        </tr>
                    
                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="person.theme.label" default="Theme" /></td>
                            
                            <td valign="top" style="text-align: left;" class="value">
                                <ul>
                                  <g:render template="/theme/listado" collection="${tfc.logs.Theme.findAllByPerson(personInstance, [sort:'themeName',order:'asc'])}" var="themeInstance" />
                                </ul>
                            </td>
                            
                        </tr>

                        <tr class="prop">
                            <td valign="top" class="name"><g:message code="person.logsUpload.label" default="Logs Upload" /></td>

                            <td valign="top" style="text-align: left;" class="value">
                                <ul>
                                    <g:render template="/logsUpload/listado" collection="${tfc.logs.LogsUpload.findAllByPerson(personInstance, [sort:'logUploadDate',order:'asc'])}" var="logsUploadInstance" />
                                </ul>
                            </td>

                        </tr>
                    
                    </tbody>
                </table>
            </div>
            <div class="buttons">
                <g:form>
                    <g:hiddenField name="id" value="${personInstance?.id}" />
                    <span class="button"><g:actionSubmit class="edit" action="edit" value="${message(code: 'default.button.edit.label', default: 'Edit')}" /></span>
                    <span class="button"><g:actionSubmit class="delete" action="delete" value="${message(code: 'default.button.delete.label', default: 'Delete')}" onclick="return confirm('${message(code: 'default.button.delete.confirm.message', default: 'Are you sure?')}');" /></span>
                </g:form>
            </div>
        </div>
    </body>
</html>
