

<%@ page import="tfc.logs.Theme" %>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="layout" content="main" />
        <g:set var="entityName" value="${message(code: 'theme.label', default: 'Theme')}" />
        <title><g:message code="theme.edit.label" args="[entityName]" /></title>
    </head>
    <body>
        <div class="nav">
            <span class="menuButton"><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></span>
            <span class="menuButton"><g:link class="list" action="list"><g:message code="theme.list.label" args="[entityName]" /></g:link></span>
            <span class="menuButton"><g:link class="create" action="create"><g:message code="theme.new.label" args="[entityName]" /></g:link></span>
        </div>
        <div class="body">
            <h1><g:message code="theme.edit.label" args="[entityName]" /></h1>
            <g:if test="${flash.message}">
            <div class="message">${flash.message}</div>
            </g:if>
            <g:hasErrors bean="${themeInstance}">
            <div class="errors">
                <g:renderErrors bean="${themeInstance}" as="list" />
            </div>
            </g:hasErrors>
            <g:form method="post" >
                <g:hiddenField name="id" value="${themeInstance?.id}" />
                <g:hiddenField name="version" value="${themeInstance?.version}" />
                <div class="dialog">
                    <table>
                        <tbody>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="themeName"><g:message code="theme.themeName.label" default="Theme Name" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: themeInstance, field: 'themeName', 'errors')}">
                                    <g:textField name="themeName" size="75" maxlength="150" value="${themeInstance?.themeName}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="themeDescription"><g:message code="theme.themeDescription.label" default="Theme Description" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: themeInstance, field: 'themeDescription', 'errors')}">
                                    <g:textField name="themeDescription" size="75" maxlength="250" value="${themeInstance?.themeDescription}" />
                                </td>
                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name"><g:message code="theme.person.label" default="Person" /></td>

                                <td valign="top" class="value"><g:link class="templates_list" controller="person" action="show" id="${themeInstance?.person?.id}">${themeInstance?.person?.name.encodeAsHTML()}<img style="padding-left:5px;border:0px;" src="${createLink(uri: '/images/ico_lupa.gif')}" alt="${message(code: 'user.button.detalle.label', default: 'View user details')}"/></g:link></td>

                            </tr>
                        
                            <tr class="prop">
                                <td valign="top" class="name">
                                  <label for="themeCreationDate"><g:message code="theme.themeCreationDate.label" default="Theme Creation Date" /></label>
                                </td>
                                <td valign="top" class="value ${hasErrors(bean: themeInstance, field: 'themeCreationDate', 'errors')}">
                                    <g:datePicker name="themeCreationDate" precision="day" value="${themeInstance?.themeCreationDate}"  />
                                </td>
                            </tr>
                        
                        </tbody>
                    </table>
                </div>
                <div class="buttons">
                    <span class="button"><g:actionSubmit class="save" action="update" value="${message(code: 'default.button.update.label', default: 'Update')}" /></span>
                    <span class="button"><g:actionSubmit class="delete" action="delete" value="${message(code: 'default.button.delete.label', default: 'Delete')}" onclick="return confirm('${message(code: 'default.button.delete.confirm.message', default: 'Are you sure?')}');" /></span>
                </div>
            </g:form>
        </div>
    </body>
</html>
